CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | List of all members
TextTestProgressListener Class Reference
Tracking test execution

TestListener that show the status of each TestCase test result. More...

`#include <TextTestProgressListener.h>`

Inheritance diagram for TextTestProgressListener:

## Public Member Functions

| TextTestProgressListener ()
virtual | ~TextTestProgressListener ()
| Destructor. More...
void | startTest (Test *test)
| Called when just before a TestCase is run. More...
void | addFailure (const TestFailure &failure)
| Called when a failure occurs while running a test. More...
void | endTestRun (Test *test, TestResult *eventManager)
| Called by a TestRunner after running the test. More...
Public Member Functions inherited from TestListener
virtual | ~TestListener ()
virtual void | endTest (Test *)
| Called just after a TestCase was run (even if a failure occured). More...
virtual void | startSuite (Test *)
| Called by a TestComposite just before running its child tests. More...
virtual void | endSuite (Test *)
| Called by a TestComposite after running its child tests. More...
virtual void | startTestRun (Test *, TestResult *)
| Called by a TestRunner before running the test. More...

## Private Member Functions

| TextTestProgressListener (const TextTestProgressListener &copy)
| Prevents the use of the copy constructor. More...
void | operator= (const TextTestProgressListener &copy)
| Prevents the use of the copy operator. More...

## Detailed Description

TestListener that show the status of each TestCase test result.

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN TextTestProgressListener::TextTestProgressListener | ( |  | ) |

Constructs a TextTestProgressListener object.

TextTestProgressListener::~TextTestProgressListener | ( |  | ) |

virtual

Destructor.

TextTestProgressListener::TextTestProgressListener | ( | const TextTestProgressListener & | copy | ) |

private

Prevents the use of the copy constructor.

## Member Function Documentation

void TextTestProgressListener::addFailure | ( | const TestFailure & |  | ) |

virtual

Called when a failure occurs while running a test.

See also
  TestFailure.

Warning
  failure is a temporary object that is destroyed after the method call. Use TestFailure::clone() to create a duplicate.

Reimplemented from TestListener.

void TextTestProgressListener::endTestRun | ( | Test * | ,
|  | TestResult * |
| ) |  |

virtual

Called by a TestRunner after running the test.

TextTestProgressListener use this to emit a line break. You can also use this to do some global uninitialisation.

Parameters

  test | Test that was run.
  eventManager | Event manager used for the test run.

Reimplemented from TestListener.

void TextTestProgressListener::operator= | ( | const TextTestProgressListener & | copy | ) |

private

Prevents the use of the copy operator.

void TextTestProgressListener::startTest | ( | Test * |  | ) |

virtual

Called when just before a TestCase is run.

Reimplemented from TestListener.

The documentation for this class was generated from the following files:

- TextTestProgressListener.h
- TextTestProgressListener.cpp

| Send comments to: CppUnit Developers